interfaces Library: KTextEditor::TextHintInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::TextHintInterface Class Reference

This is an interface for the KTextEditor::View class. More...

`#include <texthintinterface.h>`

List of all members.

## Public Member Functions
virtual void | enableTextHints (int timeout)=0
virtual void | disableTextHints ()=0
unsigned int | textHintInterfaceNumber () const
virtual void | needTextHint (int line, int col, QString &text)=0
## Friends
class | PrivateTextHintInterface

## Detailed Description

This is an interface for the KTextEditor::View class.

Definition at line 34 of file texthintinterface.h.

## Member Function Documentation

virtual void KTextEditor::TextHintInterface::enableTextHints | ( | int | timeout | ) | `[pure virtual]`

| enable Texthints. If they are enabled a signal needTextHint is emitted, if the mouse changed the position and a new character is beneath the mouse cursor. The signal is delayed for a certain time, specifiedin the timeout parameter.

virtual void KTextEditor::TextHintInterface::disableTextHints | ( |  | ) | `[pure virtual]`

| Disable texthints. Per default they are disabled.

unsigned int KTextEditor::TextHintInterface::textHintInterfaceNumber | ( |  | ) | const

| This method returns a number, unique during one application run. Definition at line 50 of file texthintinterface.cpp.

virtual void KTextEditor::TextHintInterface::needTextHint | ( | int | line,
|  | int | col,
|  | QString & | text
| ) | `[pure virtual]`

| emit this signal, if a tooltip text is needed for displaying. I you don't want a tooltip to be displayd set text to an emtpy string in a connected slot, otherwise set text to the string you want the editor to display

The documentation for this class was generated from the following files:

- texthintinterface.h
- texthintinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003